import React, { Component } from 'react';

export default (props) => {

  const {color, width, height, border, borderWidth, borderColor, padding, textAlign} = props;
  const style = {
    color: color,
    width: width,
    height: height,
    border: border,
    borderWidth: borderWidth,
    borderColor: borderColor,
    padding: padding,
    textAlign: textAlign,
    outline: 'none',
    cursor: 'pointer',
    boxSizing: 'border-box'
  };
  return (
    <div>
      <button style={style} onClick={props.onClick}>
        {props.children}
      </button>
    </div>
  );
}
